Bug 1921248 - Clarify the kubelet configuration cr description
Summary: Clarify the kubelet configuration cr description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Harshal Patil
QA Contact: MinLi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 19:12 UTC by Ryan Phillips
Modified: 2021-08-02 18:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2358 0 None closed Bug 1921248: KubeletConfig validation warning in CRD and Docs 2021-02-05 17:48:43 UTC
Github openshift machine-config-operator pull 2391 0 None open Bug 1921248: KubeletConfig: validation warning in CRD and Docs 2021-02-04 17:09:08 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:58 UTC

Description Ryan Phillips 2021-01-27 19:12:46 UTC
Description of problem:
It is extremely difficult to validate all known Kubelet Configuration options. We had this debate when we began the project if we should open up all the KubeletConfiguration options or just a subset. We agreed on opening the entire structure up to allow for any configuration (similar to how we did it in Openshift 3.x).

For these reasons, we cannot add an unlimited amount of validation to the CR object for Kubelet configuration options. There is a risk associated to setting the options. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 MinLi 2021-02-03 08:09:02 UTC
There is a little flaw in this fix, for "important" is misspelled to "importent" in 3rd line of DESCRIPTION

$ oc explain kubeletconfig.spec.kubeletConfig --recursive=true
KIND:     KubeletConfig
VERSION:  machineconfiguration.openshift.io/v1

DESCRIPTION:
     The fields of the kubelet configuration are defined in kubernetes upstream.
     Please refer to the types defined in the version/commit used by OpenShift
     of the upstream kubernetes. It's importent to note that, since the fields
     of the kubelet configuration are directly fetched from upstream the
     validation of those values is handled directly by the kubelet. Please refer
     to the upstream version of the relavent kubernetes for the valid values of
     these fields. Invalid values of the kubelet configuration fields may render
     cluster nodes unusable.


$ oc get clusterversion 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-02-02-223803   True        False         124m    Cluster version is 4.7.0-0.nightly-2021-02-02-223803

Comment 4 MinLi 2021-02-07 07:07:26 UTC
verified on version: 4.7.0-0.nightly-2021-02-06-084550

Comment 7 errata-xmlrpc 2021-02-24 15:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.